using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;
using System.Collections;
using System.Windows;
using System.Windows.Controls;

namespace BPA.UIControl
{
    public class PageBarHelper<T>
    {
        public ObservableCollection<T> Colles { get; set; } = new ObservableCollection<T>();

        public static readonly DependencyProperty ItemsSourceProperty =
            DependencyProperty.Register("ItemsSource", typeof(IEnumerable), typeof(PageBarHelper<T>), new(default));


        public static IEnumerable GetValue(DependencyObject d)
        {
            return d.GetValue(ItemsSourceProperty) as IEnumerable;
        }

        public static void SetValue(DependencyObject d, IEnumerable value)
        {
            d.SetValue(ItemsSourceProperty, value);
        }
    }
}
